name: "worldmgr"
main: "rivoreo.minecraft.worldmgr.BukkitPlugin"
version: "1.3"
description: "Manage worlds"
commands:
 world:
  description: "Manage worlds"
  usage: "Usage:\n world list\n world create [<options>] <name>\n world load { -a | <name> }\n world unload [-n] {<name>|<uuid>} [...]\n world control {<name>|<uuid>} { all | {<property>[=<value>]} [...] }\n world save { -a | {<name>|<uuid>} [...] }\n world switch [-c | -p <x>,<y>,<z>] {<name>|<uuid>}"
permissions:
 rivoreo.worldmgr.*:
  description: "Allow using all subcommands"
  default: false
  children:
   rivoreo.worldmgr.create: true
   rivoreo.worldmgr.list: true
   rivoreo.worldmgr.load_unload: true
   rivoreo.worldmgr.control: true
   rivoreo.worldmgr.control.set: true
   rivoreo.worldmgr.save: true
   rivoreo.worldmgr.switch: true
   rivoreo.worldmgr.switch.coordinate: true
   rivoreo.worldmgr.switch.current_position: true
 rivoreo.worldmgr.list:
  description: "Allow using 'list' subcommand"
  default: true
 rivoreo.worldmgr.load_unload:
  description: "Allow using 'load' and 'unload' subcommands; also includes rivoreo.worldmgr.save permission"
  default: false
  children:
   rivoreo.worldmgr.list: true
   rivoreo.worldmgr.save: true
 rivoreo.worldmgr.save:
  description: "Allow using 'save' subcommand"
  default: "op"
  children:
   rivoreo.worldmgr.list: true
 rivoreo.worldmgr.switch:
  description: "Allow using 'switch' subcommand"
  default: "op"
  children:
   rivoreo.worldmgr.list: true
 rivoreo.worldmgr.switch.coordinate:
  description: "Allow using 'switch' subcommand with specified coordinate (option '-p')"
  default: "op"
  children:
   rivoreo.worldmgr.switch: true
 rivoreo.worldmgr.switch.current_position:
  description: "Allow using 'switch' subcommand with current position (option '-c')"
  default: "op"
  children:
   rivoreo.worldmgr.switch: true
 rivoreo.worldmgr.create:
  description: "Allow using 'create' subcommand"
  default: false
  children:
   rivoreo.worldmgr.load_unload: true
   rivoreo.worldmgr.control.set: true
 rivoreo.worldmgr.control:
  description: "Allow using 'control' subcommand"
  default: true
  children:
   rivoreo.worldmgr.list: true
 rivoreo.worldmgr.control.set:
  description: "Allow changing world properties via 'control' subcommand"
  default: "op"
  children:
   rivoreo.worldmgr.control: true
